Debian Bug report logs - #532167
RFP: records -- Save and index notes in Emacs environment

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Xavier MAILLARD <xma@gnu.org>

Date: Sun, 7 Jun 2009 08:48:01 UTC

Severity: wishlist

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org, <wnpp@debian.org>:
Bug#532167; Package wnpp. (Sun, 07 Jun 2009 08:48:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Xavier MAILLARD <xma@gnu.org>:
New Bug report received and forwarded. Copy sent to debian-devel@lists.debian.org, <wnpp@debian.org>. (Sun, 07 Jun 2009 08:48:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Xavier MAILLARD <xma@gnu.org>
To: submit@bugs.debian.org
Subject: ITP: records -- Save and index notes in Emacs environment
Date: Sun, 7 Jun 2009 10:46:51 +0200
Package: wnpp
Severity: wishlist
X-Debbugs-CC: debian-devel@lists.debian.org

--- Please fill out the fields below. ---

   Package name: records
        Version: 1.5.2
Upstream Author: Xavier Maillard <xma@gnu.org>
            URL: http://launchpad.net/records
        License: GPL
    Description: Records-mode is a major mode for editing and indexing
                 notes. Notes are per-day files containing one or more
                 subjects, subjects from different days are indexed and
                 can be traversed, etc.

                 This package contains files common to GNU Emacs and
                 XEmacs. You probably want to install either
                 records-gnuemacs or records-xemacs.


The package was already in Debian till 2006 then it got dropped (no
reason given).

1.5.2 is planned for today and will include a debian/ directory with
updated control/changelog/rule files. For the future release, I plan to
keep the debian/ directory up-to-date with debian.

Regards,

Xavier






Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#532167; Package wnpp. (Sun, 07 Jun 2009 09:27:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Cyril Brulebois <kibi@debian.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. (Sun, 07 Jun 2009 09:27:11 GMT) Full text and rfc822 format available.

Message #10 received at 532167@bugs.debian.org (full text, mbox):

From: Cyril Brulebois <kibi@debian.org>
To: Xavier MAILLARD <xma@gnu.org>, 532167@bugs.debian.org
Cc: debian-devel@lists.debian.org
Subject: Re: Bug#532167: ITP: records -- Save and index notes in Emacs environment
Date: Sun, 7 Jun 2009 11:21:16 +0200
[Message part 1 (text/plain, inline)]
Xavier MAILLARD <xma@gnu.org> (07/06/2009):
> The package was already in Debian till 2006 then it got dropped (no
> reason given).

You could look at:
http://packages.qa.debian.org/r/records.html

Removed 1.4.9-4.1 from unstable →
http://packages.qa.debian.org/r/records/news/20081204T190628Z.html

# 507598 →
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=507598

(No need to Cc me if you keep debian-devel@ in the loop.)

Mraw,
KiBi.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#532167; Package wnpp. (Sun, 14 Jun 2009 07:51:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Xavier Maillard <xma@gnu.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. (Sun, 14 Jun 2009 07:51:07 GMT) Full text and rfc822 format available.

Message #15 received at 532167@bugs.debian.org (full text, mbox):

From: Xavier Maillard <xma@gnu.org>
To: 532167@bugs.debian.org
Cc: debian-devel@lists.debian.org
Subject: Re-enter a package previously dropped ?
Date: Sun, 14 Jun 2009 09:24:29 +0200
Hi,

a bit late but thank you for you links.

Concerning my ITP, is it alright ? I mean, is it good practice to
put a previously dropped package into Debian again ?

As said, I am the new maintainer and I fixed many small bugs thus
making it a lot more stable than it was before.

I am also offering to maintain the Debian package if you want (it
is already in the bazaar repository).

Thank you for your answers.

Xavier




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#532167; Package wnpp. (Sun, 14 Jun 2009 10:39:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to EikeSauer@t-online.de (Eike Sauer):
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. (Sun, 14 Jun 2009 10:39:03 GMT) Full text and rfc822 format available.

Message #20 received at 532167@bugs.debian.org (full text, mbox):

From: EikeSauer@t-online.de (Eike Sauer)
To: debian-devel@lists.debian.org, Xavier Maillard <xma@gnu.org>
Cc: 532167@bugs.debian.org
Subject: Re: Re-enter a package previously dropped ?
Date: Sun, 14 Jun 2009 12:35:51 +0200
[Message part 1 (text/plain, inline)]
Hello!

Am Sonntag, 14. Juni 2009 schrieb Xavier Maillard:
> Concerning my ITP, is it alright ? I mean, is it good practice to
> put a previously dropped package into Debian again ?

The reasons given for dropping the package were:
* Package is out of date.
* Upstream appears inactive since 2003.
* Low popcon (< 100).
* Package is orphaned. (Orphaned in Dec 2007).
* Package is buggy.

Your commitment should solve 4 of those.
So I think you could go ahead.

Ciao,
		Eike

[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#532167; Package wnpp. (Sun, 14 Jun 2009 19:45:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Xavier Maillard <xma@gnu.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. (Sun, 14 Jun 2009 19:45:06 GMT) Full text and rfc822 format available.

Message #25 received at 532167@bugs.debian.org (full text, mbox):

From: Xavier Maillard <xma@gnu.org>
To: EikeSauer@t-online.de (Eike Sauer)
Cc: debian-devel@lists.debian.org, Xavier Maillard <xma@gnu.org>, 532167@bugs.debian.org
Subject: Re: Re-enter a package previously dropped ?
Date: Sun, 14 Jun 2009 21:37:34 +0200
At Sun, 14 Jun 2009 12:35:51 +0200,
Eike Sauer wrote:
> 
> [1  <text/plain; iso-8859-1 (7bit)>]
> Hello!
> 
> Am Sonntag, 14. Juni 2009 schrieb Xavier Maillard:
> > Concerning my ITP, is it alright ? I mean, is it good practice to
> > put a previously dropped package into Debian again ?
> 
> The reasons given for dropping the package were:
> * Package is out of date.
> * Upstream appears inactive since 2003.
> * Low popcon (< 100).
> * Package is orphaned. (Orphaned in Dec 2007).
> * Package is buggy.
> 
> Your commitment should solve 4 of those.
> So I think you could go ahead.

Thank you very much for you encouragements :)

I will go ahead and I will try to find a sponsor then.

Xavier




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#532167; Package wnpp. (Sat, 19 Feb 2011 17:59:47 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lucas Nussbaum <lucas@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Sat, 19 Feb 2011 17:59:48 GMT) Full text and rfc822 format available.

Message #30 received at 532167@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@debian.org>
To: 532167@bugs.debian.org
Cc: control@bugs.debian.org
Subject: records: changing back from ITP to RFP
Date: Sat, 19 Feb 2011 17:02:51 +0000
retitle 532167 RFP: records -- Save and index notes in Emacs environment
noowner 532167
thanks

Hi,

This is an automatic email to change the status of records back from ITP
(Intent to Package) to RFP (Request for Package), because this bug hasn't seen
any activity during the last 6 months.

If you are still interested in adopting records, please send a mail to
<control@bugs.debian.org> with:

 retitle 532167 ITP: records -- Save and index notes in Emacs environment
 owner 532167 !
 thanks

However, it is not recommended to keep ITP for a long time without acting on
the package, as it might cause other prospective maintainers to refrain from
packaging that software. It is also a good idea to document your progress on
this ITP from time to time, by mailing <532167@bugs.debian.org>.

Thank you for your interest in Debian,
-- 
Lucas, for the QA team <debian-qa@lists.debian.org>




Changed Bug title to 'RFP: records -- Save and index notes in Emacs environment' from 'ITP: records -- Save and index notes in Emacs environment' Request was from Lucas Nussbaum <lucas@debian.org> to control@bugs.debian.org. (Sat, 19 Feb 2011 18:06:47 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 17:04:08 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.